Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1115706 - Review Request: nodejs-vow-fs - File I/O by Vow
Summary: Review Request: nodejs-vow-fs - File I/O by Vow
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1115707
Blocks: nodejs-reviews 1115665 1115680
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:10 UTC by Ralph Bean
Modified: 2014-08-15 02:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 22:33:21 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Parag AN(पराग) 2014-07-17 09:49:20 UTC
suggestions:
1) Add following to spec
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

Comment 2 Ralph Bean 2014-07-21 18:44:39 UTC
New release should address your suggestions:

Spec URL: http://threebean.org/rpm/SPECS/nodejs-vow-fs.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-vow-fs-0.3.2-2.fc20.src.rpm

Comment 3 Parag AN(पराग) 2014-07-22 06:12:52 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
nodejs-vow-fs.noarch: W: spelling-error %description -l en_US https -> HTTP
nodejs-vow-fs.noarch: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
nodejs-vow-fs.noarch: W: spelling-error %description -l en_US dfilatov -> dilator
nodejs-vow-fs.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-vow-fs.noarch: W: only-non-binary-in-usr-lib
nodejs-vow-fs.noarch: W: dangling-symlink /usr/lib/node_modules/vow-fs/node_modules/node-uuid /usr/lib/node_modules/node-uuid
nodejs-vow-fs.noarch: W: dangling-symlink /usr/lib/node_modules/vow-fs/node_modules/vow /usr/lib/node_modules/vow
nodejs-vow-fs.noarch: W: dangling-symlink /usr/lib/node_modules/vow-fs/node_modules/glob /usr/lib/node_modules/glob
nodejs-vow-fs.noarch: W: dangling-symlink /usr/lib/node_modules/vow-fs/node_modules/vow-queue /usr/lib/node_modules/vow-queue
nodejs-vow-fs.src: W: spelling-error %description -l en_US https -> HTTP
nodejs-vow-fs.src: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
nodejs-vow-fs.src: W: spelling-error %description -l en_US dfilatov -> dilator
nodejs-vow-fs.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 13 warnings.

=> No issues

+ Source verified with upstream as (sha256sum)
srpm tarball     :390dafb9663da553a69fb9187b14938132296771f5a056b5bb606b51e6a674ed
upstream tarball :390dafb9663da553a69fb9187b14938132296771f5a056b5bb606b51e6a674ed

- License tag looks not correct. License tag should be "MIT and GPLv3+"

+ rest looks following packaging guidelines

Suggestions:
1) Fix the license tag


APPROVED.

Comment 4 Ralph Bean 2014-07-22 14:55:10 UTC
New Package SCM Request
=======================
Package Name: nodejs-vow-fs
Short Description: File I/O by Vow
Upstream URL: https://npmjs.org/package/vow-fs
Owners: ralph
Branches: f21,f20,f19,epel7,el6
InitialCC:

Comment 5 Gwyn Ciesla 2014-07-22 18:48:03 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-07-22 22:31:18 UTC
nodejs-vow-fs-0.3.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-vow-fs-0.3.2-2.fc20

Comment 7 Fedora Update System 2014-07-22 22:31:28 UTC
nodejs-vow-fs-0.3.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-vow-fs-0.3.2-2.fc19

Comment 8 Ralph Bean 2014-07-22 22:33:21 UTC
Buildroot overrides created.

Comment 9 Fedora Update System 2014-08-15 02:35:54 UTC
nodejs-vow-fs-0.3.2-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-08-15 02:53:36 UTC
nodejs-vow-fs-0.3.2-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.